/******************************************************************************
' Ce module contient contient des utilitaires facilitant la programmation du jeu.
'     (accès aux cellules des grilles « jouer » et « modele », coloriage...).
' Attention : son code ne doit pas être modifié en principe !
******************************************************************************/

function modele(lig,col) {
	return document.getElementById('modele_' + lig + '_' + col);
	//return formu_modele['modele_' + lig + '_' + col];
}

function jeu(lig,col) {
	return document.getElementById('jouer_' + lig + '_' + col);
}

function mettreEnVert(cell) {
    cell.style.backgroundColor = "white";
}

function mettreEnRouge(cell) {
    cell.style.backgroundColor = "red";
}

function estVert(cell) {
    return (cell.style.backgroundColor=="white");
}

function estRouge(cell) {
    return (cell.style.backgroundColor=="red");
}

function Hasard(n) { 
	return Math.floor(Math.random() * n) + 1;
}
 
function effacerModele() { 
	for(lig=1; lig<=10; lig=lig+1) {
		for(col=1; col<=10; col=col+1) {
			mettreEnVert(modele(lig, col));
			modele(lig, col).value='';
		}
	}
} 
 
function effacerJeu() { 
	for(lig=1; lig<=10; lig=lig+1) {
		for(col=1; col<=10; col=col+1) {
			mettreEnVert(modele(lig, col));
			jeu(lig, col).value='';
		}
	}
}   
function modeleEnVert() { 
	for(lig=1; lig<=10; lig=lig+1) {
		for(col=1; col<=10; col=col+1) {
			mettreEnVert(modele(lig, col));
		}
	}
} 

function voirJeu() {
	document.getElementById("formu_modele").style.display="none";
	document.getElementById("formu_jouer").style.display="block";
}
	
function voirModele() {
	document.getElementById("formu_jouer").style.display="none";
	document.getElementById("formu_modele").style.display="block";
}
